Developers

Updates the Vacation resource.

PATCH
/calendar/vacations/{id}

Updates the Vacation resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Vacation identifier

Request Body

The updated Vacation resource

  1. body
status?string
Value in"q""a""r""c"

Response Body

Vacation resource updated

  1. response
id?string
Formatuuid
calendarUser?
vacationType?|null
status?string
Value in"q""a""r""c"
daysCount?integer
description?|
Lengthlength <= 5000
vacationComments?array<>
vacationDates?array<>
acceptedBy?|null
rejectedBy?|null
fileGenerated?boolean
createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
permissions?
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/calendar/vacations/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "calendarUser": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string",    "canLogIn": true,    "isExternal": true,    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "jobPositionName": "string",    "decorator": "string"  },  "vacationType": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "decrementVacation": true,    "isActive": true  },  "status": "q",  "daysCount": 0,  "description": "string",  "vacationComments": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "content": "string",      "calendarUser": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "shortCode": "string",        "firstName": "string",        "lastName": "string",        "email": "string",        "phoneNumber": "string",        "pictureSm": "string",        "pictureLg": "string",        "canLogIn": true,        "isExternal": true,        "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",        "contractorName": "string",        "jobPositionName": "string",        "decorator": "string"      },      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "vacationDates": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "date": "2019-08-24T14:15:22Z"    }  ],  "acceptedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string",    "canLogIn": true,    "isExternal": true,    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "jobPositionName": "string",    "decorator": "string"  },  "rejectedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string",    "canLogIn": true,    "isExternal": true,    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "jobPositionName": "string",    "decorator": "string"  },  "fileGenerated": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "permissions": {    "canManage": null  }}